Subject: Re: bug#39190: 28.0.50; two buffers with same buffer-file-name (diff-syntax-fontify-props)

From: Felician Nemeth <[email-masked]>
Date: Tue, 28 Jan 2020 18:18:05 +0100

>>> Now I tried to repeat this problem with eglot and got such backtrace:
>> [...]
>>
>> Did you use the ELPA version or the git master?
>
> The backtrace was from the ELPA version, but trying it
> in the git master signals a different error:
>
> Error in post-command-hook:
> (error "[eglot] Can't guess mode to manage for ` *diff-syntax:...

That's strange.  I was able to reproduce the original bug report
following this recipe:
https://github.com/joaotavora/eglot/pull/233#issuecomment-466691992
I wonder if your setup is different is some way.

>> Having read your discussion I have a feeling that this issue affects
>> more than just Eglot.  Nevertheless we plan a feature that postpones the
>> activation of Eglot and this feature is somewhat similar to Stefan's
>> first suggestion.  So if the only concern is Eglot, then this issue can
>> be closed.
>
> Since it will take much time when the fix in Emacs will appear in a released
> version, a workaround needs to be added to Eglot immediately.

OK, but this feature ("Better syntax highlighting of Diff hunks") will
first appear in Emacs 27.